# Uses of Class
org.apache.lucene.codecs.hnsw.FlatFieldVectorsWriter

Packages that use FlatFieldVectorsWriter
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene102
Lucene 10.2 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

- ## Uses of FlatFieldVectorsWriter in org.apache.lucene.codecs.hnsw

  Methods in org.apache.lucene.codecs.hnsw that return FlatFieldVectorsWriter
  Modifier and Type
  Method
  Description
  `abstract FlatFieldVectorsWriter<?>`
  FlatVectorsWriter.`addField(FieldInfo fieldInfo)`
  Add a new field for indexing

- ## Uses of FlatFieldVectorsWriter in org.apache.lucene.codecs.lucene102

  Methods in org.apache.lucene.codecs.lucene102 that return FlatFieldVectorsWriter
  Modifier and Type
  Method
  Description
  `FlatFieldVectorsWriter<?>`
  Lucene102BinaryQuantizedVectorsWriter.`addField(FieldInfo fieldInfo)`

- ## Uses of FlatFieldVectorsWriter in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return FlatFieldVectorsWriter
  Modifier and Type
  Method
  Description
  `FlatFieldVectorsWriter<?>`
  Lucene99FlatVectorsWriter.`addField(FieldInfo fieldInfo)`
  `FlatFieldVectorsWriter<?>`
  Lucene99ScalarQuantizedVectorsWriter.`addField(FieldInfo fieldInfo)`